List Payments
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal Server Error"
}
Advertiser Billing
List Payments
Ad spend payments that you recorded for the Advertiser. These are visible on the Advertiser’s Billing page in the admin portal.
GET
/
advertisers
/
{advertiserID}
/
transactions
List Payments
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal Server Error"
}
Path Parameters
string
required
The ID of the advertiser.
Query Parameters
string
default:"10"
The maximum number of advertisers to return. Must be between 1 and 20.
string
default:"1"
The page number of the results.
Response
number
The ID of the advertiser.
number
The ID of the transaction.
string
A timestamp of when the transaction was created.
string
The type of transaction.
number
The amount of the transaction.
number
The amount of tax for the transaction.
string
The URL of the receipt for the transaction.
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal Server Error"
}